Inserting blocks into a Table Object

Discussion in 'AutoCAD' started by mphillips, Mar 16, 2005.

  1. mphillips

    mphillips Guest

    Does anyone know how to insert a block into a Table object cell via VBA?

    I've been looking through the object model and can't seem to find a method to insert blocks. Is there some other technique that would work?
     
    mphillips, Mar 16, 2005
    #1
  2. mphillips

    cbvrha Guest

    A quick guess of the general procedure...

    blkId = { get the block's id via ObjectID Property }
    tblobj.SetBlockTableRecordId(row, col, blkId, bAutoFit)
    tblobj.SetBlockRotation(row, col, blkRotation)
    tblobj.SetBlockScale(row, col, blkScale)
    tblobj.Update
     
    cbvrha, Apr 8, 2005
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.